%{!?upstream_version: %global upstream_version %{version}}

%global srcname ironic-lib
%global sum A common library to be used by various projects in the Ironic ecosystem

Name:           python-%{srcname}
Version:        2.1.3
Release:        1%{?dist}
Provides:        python2-ironic-lib = %{version}-%{release}
Summary:        %{sum}

License:        ASL 2.0
URL:            http://pypi.python.org/pypi/%{srcname}
Source0:        https://tarballs.openstack.org/%{srcname}/%{srcname}-%{version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=2.1.3
#

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
Requires: python-oslo-concurrency
Requires: python-oslo-config
Requires: python-oslo-i18n
Requires: python-oslo-log
Requires: python-oslo-service
Requires: python-oslo-utils
Requires: python-requests
Requires: python-six

# These are requirements for unit testing
BuildRequires: python-eventlet
BuildRequires: python-oslo-concurrency
BuildRequires: python-oslo-config
BuildRequires: python-oslo-i18n
BuildRequires: python-oslo-log
BuildRequires: python-oslo-service
BuildRequires: python-oslo-utils
BuildRequires: python-oslotest
BuildRequires: python-requests
BuildRequires: python-six
BuildRequires: python-testtools

%description
A common library to be used by various projects in the Ironic ecosystem

%prep
%autosetup -n %{srcname}-%{upstream_version} -p1

%build
%{__python2} setup.py build

%check
%{__python2} setup.py test

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%license LICENSE
%doc README.rst
%{python2_sitelib}/*

%changelog
* Mon May 22 2017 Jason Joyce <jjoyce@redhat.com> 2.1.3-1
- Update to 2.1.3

* Wed Mar 15 2017 Jon Schlueter <jschluet@redhat.com> 2.1.2-2
- rebase upstream/stable/newton (rhbz#1432635)
- Limit memory usage when running qemu-img (lp#1657808)

* Fri Jan 13 2017 Jon Schlueter <jschluet@redhat.com> 2.1.2-1
- Update to 2.1.2 (rhbz#1413091)

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 2.1.1-2
- followup to disk_utils.count_mbr_partitions()
- Correctly count the number of primary partitions
- Wait for a config drive device to be available
- rhbz#1381511

* Tue Oct 11 2016 Haikel Guemar <hguemar@fedoraproject.org> 2.1.1-1
- Update to 2.1.1

* Wed Sep 14 2016 Haikel Guemar <hguemar@fedoraproject.org> 2.1.0-1
- Update to 2.1.0

